Get all records with paging
GET
/openapi/account/paged
const url = 'https://open-api.replyco.com/openapi/account/paged?page=1&count=10&asc=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://open-api.replyco.com/openapi/account/paged?page=1&count=10&asc=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Page number, default = 1
count
integer format: int32
Amount of elements per page, default = 10
term
string
Search text in main model fields
sort
string
Name of field to sort by
asc
boolean
True if ascending sort, false if descending, default - true
Responses
Section titled “Responses”OK
Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
object
id
string format: uuid
marketplace
integer format: int32
smtpserver
string
smtpport
integer format: int32
smtpuseSsl
boolean
protocolType
integer format: int32
protocolAddress
string
protocolPort
integer format: int32
protocolUseSSL
boolean
marketplaceSessionID
string
marketplaceLastSync
string format: date-time
name
string
displayName
string
marketplaceSellerID
string
shopRegion
integer format: int32
shopCountry
integer format: int32
shopBaseApiUrl
string
marketplaceMessagesLastSync
string format: date-time
marketplaceOrdersLastSync
string format: date-time
marketplaceProductsLastSync
string format: date-time
marketplaceCustomersLastSync
string format: date-time
marketplaceReturnsLastSync
string format: date-time
marketplaceReturnsLastUpdate
string format: date-time
marketplaceReportLastGenerated
string format: date-time
marketplaceInquiriesLastSync
string format: date-time
marketplaceInquiriesLastUpdate
string format: date-time
marketplaceFeedbacksLastSync
string format: date-time
marketplaceFeedbackRequestsLastSync
string format: date-time
marketplaceLastTicketUpdateDate
string format: date-time
marketplaceSyncStoppedTo
string format: date-time
marketplaceCallsLastSync
string format: date-time
sendAs
string
sendAsName
string
needRelogin
boolean
amazonReportRequestId
string
linnworksOrderReferences
integer format: int32
type
integer format: int32
mergeTicketsWithSameCustomerWithin
integer format: int32
ticketMergeSettings
integer format: int32
orderCustomLink
string
icon
object
id
string format: uuid
marketFileId
External marketplace-specific file identifier (if applicable)
string
mimeType
MIME type of the file (e.g., “image/png”, “application/pdf”)
string
fileSize
Size of the file in bytes
integer format: int32
fileName
Name of the file including extension (e.g., “logo.png”, “document.pdf”)
string
filePath
Server-side path where the file is stored (internal use)
string
fileUrl
Publicly accessible URL to download/view the file
string
base64
Base64-encoded file content for inline upload/download
string
Example
{ "data": [ { "marketplace": "0 - PlaceholderDoNotUse", "protocolType": "0 - Pop", "shopRegion": "0 - Empty", "shopCountry": "0 - Empty", "linnworksOrderReferences": "1 - ExternalReference", "type": "0 - Marketplace", "ticketMergeSettings": "0 - Default" } ]}Unauthorized